Skip to main content

Product Catalog

Retrieve the full POS product catalog.

Endpoint

GET /api/v1/catalog/products

Ekomium model: product.template · Filter: [["available_in_pos", "=", true]]

Fields returned

FieldTypeDescription
idintegerProduct ID
namestringProduct name
list_pricefloatSale price (local currency)
default_codestringInternal reference / SKU
barcodestringBarcode (EAN)
pos_categ_ids[ids]POS category IDs
description_salestringSales description / recipe
typestringconsu, service, product

Example request

"product.template", "search_read",
[[["available_in_pos", "=", True]]],
{
"fields": [
"id", "name", "list_price", "default_code",
"barcode", "pos_categ_ids", "description_sale", "type"
],
"limit": 100
}

Example response

[
{
"id": 1,
"name": "Vanilla Latte",
"list_price": 16.0,
"default_code": false,
"barcode": false,
"pos_categ_ids": [1],
"description_sale": "Café g: 10.0\nLait ml: 120.0\nSirop ml: 10.0",
"type": "service"
},
{
"id": 22,
"name": "Cookies",
"list_price": 10.0,
"pos_categ_ids": [8],
"type": "consu"
}
]

POS categories

Resolve category names:

"pos.category", "read", [category_ids], {"fields": ["name", "sequence"]}

Category names are defined per instance (e.g. Hot Drinks, Snacks, Services). Use the pos.category read call above to resolve IDs to labels.

Test in API Playground →